<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      data-namespace-typo3-fluid="true">

<nav id="mobileNav" class="navbar navbar-expand-xl fixed-top navbar-light bg-white d-xl-none" role="navigation">

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mobile" aria-controls="mobile" aria-expanded="false"
        aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <v:page.link pageUid="1" class="navbar-brand">
            <f:image src="EXT:akademie_ruhr/Resources/Public/Images/logo.svg" height="70" alt="Logo der Akademie Ruhr" />
        </v:page.link>

    <a class="d-block mr-3" href="tel:0234 7949829">
            <i class="fa fa-phone-square"></i>
    </a>

    <div class="collapse navbar-collapse" id="mobile">

        <ul class="nav navbar-nav mr-auto">

            <f:for each="{mainnavigation}" as="item">

                <li class="nav-item{f:if(condition: item.active, then: ' active', else: '')}{f:if(condition: item.children, then: ' dropdown')} level1">
                    <a href="{f:if(condition: item.children, then: '#', else: '{item.link}')}" class="nav-link{f:if(condition: RootItem.children, then: ' dropdown-toggle')}">{item.title}</a>
                    <f:if condition="{item.children}">
                        <f:then>
                            <ul class="dropdown-menu">
                                <f:for each="{item.children}" as="child">
                                    <f:if condition="{child.children}">
                                        <f:then>
                                            <li class="dropdown level2">
                                                <a class="dropdown-item dropdown-toggle" href="#">{child.title}</a>
                                                <ul class="dropdown-menu">
                                                    <f:for each="{child.children}" as="grandchild">
                                                        <li>
                                                            <a class="dropdown-item" href="{grandchild.link}">{grandchild.title}</a>
                                                        </li>
                                                    </f:for>
                                                </ul>
                                            </li>
                                        </f:then>
                                        <f:else>
                                            <li class="level2">
                                                <a class="dropdown-item" href="{child.link}">{child.title}</a>
                                            </li>
                                        </f:else>
                                    </f:if>
                                </f:for>
                            </ul>
                        </f:then>
                    </f:if>
                </li>

            </f:for>

        </ul>

        <nav class="root-nav">

        <ul class="nav mr-auto">
                <f:for each="{rootnavigation}" as="rootItem">
                    <li class="nav-item{f:if(condition: rootItem.active, then: ' active')}">
                        <a href="{rootItem.link}">{rootItem.title}</a>
                    </li>
                </f:for>
            </ul>
        </nav>


    </div>



</nav>

</html>
